Name:          memtest86+
Version:       6.20
Release:       2mamba
Summary:       Thorough, stand alone memory test for x86 architecture computers (legacy BIOS version)
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.memtest.org
Source:        https://github.com/memtest86plus/memtest86plus.git/v%{version}/memtest86plus-%{version}.tar.bz2
#Source:        http://www.memtest.org/download/%{version}/memtest86+-%{version}.bin.gz
Source1:       memtest86+-grub
Source2:       memtest86+-grub-efi
Patch0:        memtest86+-5.01-Makefile.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: xorriso
BuildRequires: dosfstools
BuildRequires: mtools

%description
Based on the well-known original memtest86 written by Chris Brady, memtest86+ is a port by some members of the x86-secret team.
Our goal is to provide an up-to-date and completly reliable version of this software tool aimed at memory failures detection.

%package efi
Group:         System/Kernel and Hardware
Summary:       Thorough, stand alone memory test for x86 architecture computers (EFI version)

%description efi
Thorough, stand alone memory test for x86 architecture computers (EFI version).

%package iso
Group:         System/Kernel and Hardware
Summary:       Thorough, stand alone memory test for x86 architecture computers (ISO image)

%description iso
Thorough, stand alone memory test for x86 architecture computers (ISO image).

%prep
%setup -q -n memtest86plus-%{version}
#% patch0 -p1

%build
%ifarch x86_64
cd build64
%else
cd build32
%endif

make
make iso

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%ifarch x86_64
cd build64
%else
cd build32
%endif

install -D -m0644 memtest.bin %{buildroot}/boot/memtest86+.bin
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/grub.d/20_memtest86+

install -D -m0644 memtest.efi %{buildroot}/boot/memtest86+.efi
install -D %{SOURCE2} %{buildroot}%{_sysconfdir}/grub.d/60_memtest86+-efi

install -D -m0644 memtest.iso %{buildroot}%{_datadir}/memtest86+/memtest.iso

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%posttrans
if [ $1 -ge 0 ]; then
   update-grub
fi
:

%files
%defattr(-,root,root)
%{_sysconfdir}/grub.d/20_memtest86+
/boot/memtest86+.bin

%files efi
%defattr(-,root,root)
%{_sysconfdir}/grub.d/60_memtest86+-efi
/boot/memtest86+.efi

%files iso
%defattr(-,root,root)
%{_datadir}/memtest86+/memtest.iso

%changelog
* Sun Jul 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.20-2mamba
- memtest86+-grub: fix path of /boot/memtest86+.bin binary 

* Mon May 08 2023 Automatic Build System <autodist@mambasoft.it> 6.20-1mamba
- automatic version update by autodist

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 6.10-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.01-2mamba
- bios  memtest86+.bin: restore original installation path

* Sun Jan 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.01-1mamba
- update to 6.01

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 5.31b-1mamba
- automatic update by autodist

* Tue Feb 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.01-3mamba
- added grub.d file and run update-grub
- switch to prebuilt binary

* Wed Apr 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.01-2mamba
- force build with ld.bfd

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 5.01-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 4.20-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 4.10-1mamba
- automatic version update by autodist

* Sat Feb 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.00-1mamba
- update to 4.00

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.70-2mamba
- specfile updates for openmamba

* Wed Jan 17 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.70-1qilnx
- update to version 1.70 by autospec

* Wed Mar 02 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.51-1qilnx
- package created by autospec
